commit:     90bb19824c44a66a9e7aa684400f97a5c200b863
Author:     Richard Freeman <rich0 <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 15 17:50:36 2017 +0000
Commit:     Richard Freeman <rich0 <AT> gentoo <DOT> org>
CommitDate: Sat Jul 15 17:50:53 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=90bb1982

sys-process/systemd-cron: bump

Bug: 607322
Package-Manager: Portage-2.3.6, Repoman-2.3.2

 sys-process/systemd-cron/Manifest                  |  1 +
 .../systemd-cron/systemd-cron-1.5.10.ebuild        | 74 ++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/sys-process/systemd-cron/Manifest 
b/sys-process/systemd-cron/Manifest
index 814430bbba5..70fd6a79d11 100644
--- a/sys-process/systemd-cron/Manifest
+++ b/sys-process/systemd-cron/Manifest
@@ -1,2 +1,3 @@
+DIST systemd-cron-1.5.10.tar.gz 31191 SHA256 
46872d8662e642f588f5c98c2f9540572a0862972b43f3fc76a73bdd6551a915 SHA512 
9a4bbf78c81adf74e589cd9431b5742d5dab63b0346a2330403a7e24bdab62833096445d9fd3e5f6a91f722b3f8176e52734dcc5e2ee0ec23b555e6d01805094
 WHIRLPOOL 
72f7afe7c0acba96ad7860e848b0369cde610d3c6be21cf683a8ea0cce14fe85f9230cf8a8a7c59ea49be154021136d8f8c35c6f11da04bb34b876260043bb20
 DIST systemd-cron-1.5.3.tar.gz 29105 SHA256 
3623b625938e1dc45ea3b7abf6eab35180c73eddf7865f4297cc5f38c8e09aca SHA512 
ea0241f93b8d92497fa020d84630ee153dc299d9b16b17567784a4dcb5ddf0a4589e7e033428562a862218ef79b192245178df2d7dcc69f779ef9156921674c7
 WHIRLPOOL 
51a148f780397b79d5988fb729061318c38afd2c096bf2eb4d62e340db2753f9268be11ca54974a7480d83b424cf9638961c713d843ef2ffaea1b1fe234ba539
 DIST systemd-cron-1.5.4.tar.gz 30436 SHA256 
acb99095cbef7812e556ac98574a9121c06ffdc3f28622b9dee098d81bcbbdcd SHA512 
e6fe60de9d6cbc223b8358bd6b1a060e11f1ea16a8f0b24662914ddb18d827f7b4c62fd40dbefed3d0ac38b1e748998ec5e0430d4ea751e8a20b94b9803bcb89
 WHIRLPOOL 
31f95488b3df2249807155eb5433d17a1e9013eee6ce49795b981847a4792b95ff6775297031cbd73cb0276b7c9ddf5a5241dfc7b4db99269da086803937c930

diff --git a/sys-process/systemd-cron/systemd-cron-1.5.10.ebuild 
b/sys-process/systemd-cron/systemd-cron-1.5.10.ebuild
new file mode 100644
index 00000000000..f668c50f2a6
--- /dev/null
+++ b/sys-process/systemd-cron/systemd-cron-1.5.10.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+PYTHON_COMPAT=( pypy3 python3_{4,5,6} )
+inherit eutils python-single-r1 systemd
+
+DESCRIPTION="systemd units to create timers for cron directories and crontab"
+HOMEPAGE="https://github.com/systemd-cron/systemd-cron/";
+SRC_URI="https://github.com/systemd-cron/${PN}/archive/v${PV}.tar.gz -> 
systemd-cron-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="cron-boot etc-crontab-systemd minutely setgid test yearly"
+
+RDEPEND=">=sys-apps/systemd-217
+            sys-apps/debianutils
+            !etc-crontab-systemd? ( !sys-process/dcron )
+            ${PYTHON_DEPS}
+                sys-process/cronbase"
+
+DEPEND="sys-process/cronbase
+       test? ( sys-apps/man-db dev-python/pyflakes )"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+src_prepare() {
+       python_fix_shebang --force "${S}/src/bin"
+
+       sed -i \
+               -e 's/^crontab/crontab-systemd/' \
+               -e 's/^CRONTAB/CRONTAB-SYSTEMD/' \
+               -- "${S}/src/man/crontab."{1,5}".in" || die
+
+       sed -i \
+               -e 's!/crontab$!/crontab-systemd!' \
+               -e 's!/crontab\(\.[15]\)$!/crontab-systemd\1!' \
+               -e 's/pyflakes3/pyflakes/' \
+               -- "${S}/Makefile.in" || die
+
+       if use etc-crontab-systemd
+       then    sed -i \
+                       -e "s!/etc/crontab!/etc/crontab-systemd!" \
+                       -- "${S}/src/man/crontab."{1,5}".in" \
+                       "${S}/src/bin/systemd-crontab-generator.py" || die
+       fi
+
+       epatch_user
+}
+
+my_use_enable() {
+       if use ${1}; then
+               echo --enable-${2:-${1}}=yes
+       else
+               echo --enable-${2:-${1}}=no
+       fi
+}
+
+src_configure() {
+       ./configure \
+               --prefix="${EPREFIX}/usr" \
+               --confdir="${EPREFIX}/etc" \
+               --runparts="${EPREFIX}/bin/run-parts" \
+               --mandir="${EPREFIX}/usr/share/man" \
+               --unitdir="$(systemd_get_unitdir)" \
+               $(my_use_enable cron-boot boot) \
+               $(my_use_enable minutely) \
+               $(my_use_enable yearly) \
+               $(my_use_enable yearly quarterly) \
+               $(my_use_enable yearly semi_annually) \
+               $(my_use_enable setgid) \
+               --enable-persistent=yes
+}

Reply via email to